# Function intersectsPlaneAtToRef

- intersectsPlaneAtToRef(ray: Ray, plane: Plane, dst: Vector3): number

  Get point of intersection (if any) between a ray and a plane.

  #### Parameters

  - ray: Ray

    Ray to use for intersection calculation.

  - plane: Plane

    Plane to performn intersection calculation against

  - dst: Vector3

    Point of intersection is written to this object (if a intersection could be found)

  #### Returns number

  Distance to point of intersection on plane, < 0 if no interrsection.